import _ from './env';
import { render } from 'preact';
import { LocationProvider, Router, Route } from 'preact-iso';

import { Header } from './components/Header.jsx';
import { Home } from './pages/Home/index.jsx';
import { CalendarOptimizer } from './pages/CalendarOptimizer/index.jsx';
import { NotFound } from './pages/_404.jsx';
import './style.css';
import { HistoricalCalendarPrices } from './pages/HistoricalCalendarPrices/HistoricalCalendarPrices.js';

export function App() {
	return (
		<LocationProvider>
			<Header />
			<main>
				<Router>
					<Route path="/" component={Home} />
					<Route path="/calendar-optimizer" component={CalendarOptimizer} />
					<Route path="/historical-calendar-prices" component={HistoricalCalendarPrices} />
					<Route default component={NotFound} />
				</Router>
			</main>
		</LocationProvider>
	);
}

render(<App />, document.getElementById('app'));
